Class | Chef::Search::Query
In: | lib/chef/search/query.rb
Parent: | Object

### Methods

list_indexes new search

### Attributes

rest | [RW] |

### Public Class methods

new(url=nil)

### Public Instance methods

list_indexes()
search(type, query="*:*", sort='X_CHEF_id_CHEF_X asc', start=0, rows=1000, &block)

Search Solr for objects of a given type, for a given query. If you give it a block, it will handle the paging for you dynamically.

[Validate]